<!DOCTYPE html>
<html xmlns:h="http://xmlns.jcp.org/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
>

<h:head>
    <title>Detail</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <h:outputStylesheet name="css/main.css"/>
    <h:outputScript name="js/jquery-3.6.0.min.js"/>
</h:head>

<h:body>
    <h1>Hello #{userControl.loggedInUserLogin}!</h1>
    <h1>Activity List</h1>
    <h:dataTable value="#{activityControl.showActivityByUserId(userControl.loggedInUserId)}"
                 var="activity"
                 styleClass="TablePublication"
                 headerClass="TableHeader"
                 rowClass="TableRowOdd,TableRowEven">
        <h:column>
            <f:facet name="header">ID</f:facet>
            #{activity.id}
        </h:column>
        <h:column>
            <f:facet name="header">Name</f:facet>
            #{activity.name}
        </h:column>
        <h:column>
            <f:facet name="header">Place</f:facet>
            #{activity.place}
        </h:column>
        <h:column>
            <f:facet name="header">Description</f:facet>
            #{activity.description}
        </h:column>
        <h:column>
            <f:facet name="header">Actions</f:facet>
            <h:form>
                <h:commandButton value="View" action="#{activityControl.showActivityDetailsPageByActivityId(activity.id)}"/>
            </h:form><br />
            <h:form>
                <h:commandButton value="Unsubscribe"
                                 action="#{userControl.unsubscribe(activity.id)}"/>
            </h:form>
        </h:column>
    </h:dataTable>
</h:body>

</html>
